<?xml version="1.0"?>
<update xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
        installationDirectory="[ol]" xmlns="http://www.logic-base.de/Schemas/UpdateConfigSchema.xsd">
  <sqlPrecondition name="UpdateSperre"
    sqlCommand="
IF OBJECT_ID('RC_UpdateCapabilities', 'U') IS NOT NULL
  BEGIN
EXEC sp_executesql N'
  IF EXISTS(SELECT 1 FROM [dbo].[RC_UpdateCapabilities] WHERE [Key] = ''Shopsystem-2-Installation'' AND [Value] = ''true'')
  BEGIN
    SELECT 1 AS PreConditionApproved;
  END
  ELSE
  BEGIN
    SELECT 0 AS PreConditionApproved;
  END
	'
END
ELSE
BEGIN
  BEGIN
    SELECT 0 AS PreConditionApproved;
  END
END
"
    errorMessage="Shopsystem-2 Installation ist nicht freigegeben. Bitte wenden Sie sich an den Support."/>

  <downloadFile fileName="ShopsystemCheck.sql" productName="Shopsystem-1" moduleName="Shared"/>
  <sqlScript fileName="ShopsystemCheck.sql"/>

  <executeFile executableName="powershell.exe"
    arguments="-Command &quot;&#38; '[SourceDir]\installUpdate.ps1' '[SourceDir]\' '[DestinationDir]\Shared' '4sellers.Redwood.Core.Standard.Sdk.dll;4sellers.Redwood.Connectivity.OfficeLineCommunication.SData.Standard.Sdk.dll;4sellers.Redwood.Connectivity.OfficeLineCommunication.SData.AppServer.dll;System.Data.SqlClient.dll;OrderService.config;logicbase.Shopsystem.Templates.dll'&quot;"
    subDirectory="C:\Windows\System32\WindowsPowerShell\v1.0"
    >
  </executeFile>
</update>